// Dummy RenderMan shader source, to test the appearence of your Gedit theme
// with the RenderMan language definition. if the appearence does not looks 
// good to you, you should create a custom theme. “`name1` alias `name2`” 
// means the `name1` lexical element is mapped to the `name2` style of your
// theme. If the lexical element `name1` is not good to you, then create a 
// theme where `name2` is defined the way you would like `name1` to appears.



// Single line `comment` alias `def:comment`

/*
 * Multi line `comment` alias `def:comment` 
 */

#define DEFINE /* `preprocessor` alias `def:preprocessor` */

displacement // `shader-type` alias `def:keyword`
test () // `identifier` alias `def:identifier`
{
   if /* `statement` alias `def:statement` */ (1 == 1 /* `number` alias `def:number` */) {
      point /* `type` alias `def:type` */ blured_position = P + noise (P * 2);
      point delta = normalize (N) * 0.05 * float noise (20 * blured_position);
      P /* `predefined-variable` alias `def:variable` */ = P + delta;
      N = calculatenormal /* `built-in-function` alias `def:function` */ (P);
      N = /* `operator` alias `def:specials` */ N;
   }
}

// In short, your theme have to properly define these common definitions:
//
//    def:comment
//    def:function
//    def:number
//    def:variable
//    def:keyword
//    def:statement
//    def:type
//    def:identifier
//    def:specials
//    def:preprocessor
//    def:string

